View Issue Details

IDProjectCategoryView StatusLast Update
0011402mantisbtsub-projectspublic2010-02-22 14:34
Reporterrerbin Assigned Todhx  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.0rc2 
Target Version1.2.0Fixed in Version1.2.0 
Summary0011402: SYSTEM WARNING: in_array() [function.in-array]: Wrong datatype for second argument
Description

When I add a not enabled project(see pjsub.png)as a subproject of an enabled project(see pjparent.png),I got a warning:
SYSTEM WARNING: in_array() [function.in-array]: Wrong datatype for second argument

TagsNo tags attached.

Relationships

has duplicate 0009109 closeddhx "SYSTEM WARNING" displayed on manage_proj_edit_page when sub-project not enabled. 
related to 0010873 closeddregad Change Log/Roadmap do not work with inherited versions. 

Activities

rerbin

rerbin

2010-01-16 20:36

reporter  

pjsub.png (10,405 bytes)   
pjsub.png (10,405 bytes)   
rerbin

rerbin

2010-01-16 20:37

reporter  

pjparent.png (20,260 bytes)   
pjparent.png (20,260 bytes)   
dhx

dhx

2010-01-16 22:12

reporter   ~0024170

Can you please grab the latest version of the 1.2.x branch and see if you can reproduce this problem?

I think I've fixed this issue in 0010818

dhx

dhx

2010-01-16 22:36

reporter   ~0024171

Cancel that - I see the problem now. Fixing!

dhx

dhx

2010-01-16 23:04

reporter   ~0024172

Thanks for reporting this issue. I've fixed it in the 1.2.x and 1.3.x branches ready for the next release!

Related Changesets

MantisBT: master-1.2.x dd258c75

2010-01-17 03:49:40

dhx

Details Diff
Fix 0011402: Project hierarchy cache problem on manage_proj_edit_page.php

manage_proj_edit_page.php didn't cache project hierarchies with disabled
projects included. Thus errors relating to in_array() were seen when
attempting to edit a parent project when one of the sub-projects was
marked as being disabled.
Affected Issues
0011402
mod - manage_proj_edit_page.php Diff File
mod - core/project_hierarchy_api.php Diff File

MantisBT: master bf80e9ee

2010-01-17 03:49:40

dhx

Details Diff
Fix 0011402: Project hierarchy cache problem on manage_proj_edit_page.php

manage_proj_edit_page.php didn't cache project hierarchies with disabled
projects included. Thus errors relating to in_array() were seen when
attempting to edit a parent project when one of the sub-projects was
marked as being disabled.
Affected Issues
0011402
mod - core/project_hierarchy_api.php Diff File
mod - manage_proj_edit_page.php Diff File

Issue History

Date Modified Username Field Change
2010-01-16 20:36 rerbin New Issue
2010-01-16 20:36 rerbin File Added: pjsub.png
2010-01-16 20:37 rerbin File Added: pjparent.png
2010-01-16 22:12 dhx Note Added: 0024170
2010-01-16 22:36 dhx Note Added: 0024171
2010-01-16 22:37 dhx Assigned To => dhx
2010-01-16 22:37 dhx Status new => assigned
2010-01-16 22:37 dhx Target Version => 1.2.2
2010-01-16 23:00 dhx Resolution open => fixed
2010-01-16 23:00 dhx Fixed in Version => 1.3.0-beta.1
2010-01-16 23:00 dhx Changeset attached master-1.2.x dd258c75 =>
2010-01-16 23:00 dhx Changeset attached master bf80e9ee =>
2010-01-16 23:04 dhx Note Added: 0024172
2010-01-16 23:04 dhx Status assigned => resolved
2010-01-16 23:04 dhx Fixed in Version 1.3.0-beta.1 => 1.2.2
2010-01-16 23:06 dhx Relationship added has duplicate 0009109
2010-01-17 18:49 dhx Relationship added related to 0010873
2010-02-22 14:34 jreese Status resolved => closed